import { createAggregatedClient } from "@smithy/smithy-client";
import { BatchDeleteRecipeVersionCommand, } from "./commands/BatchDeleteRecipeVersionCommand";
import { CreateDatasetCommand, } from "./commands/CreateDatasetCommand";
import { CreateProfileJobCommand, } from "./commands/CreateProfileJobCommand";
import { CreateProjectCommand, } from "./commands/CreateProjectCommand";
import { CreateRecipeCommand, } from "./commands/CreateRecipeCommand";
import { CreateRecipeJobCommand, } from "./commands/CreateRecipeJobCommand";
import { CreateRulesetCommand, } from "./commands/CreateRulesetCommand";
import { CreateScheduleCommand, } from "./commands/CreateScheduleCommand";
import { DeleteDatasetCommand, } from "./commands/DeleteDatasetCommand";
import { DeleteJobCommand } from "./commands/DeleteJobCommand";
import { DeleteProjectCommand, } from "./commands/DeleteProjectCommand";
import { DeleteRecipeVersionCommand, } from "./commands/DeleteRecipeVersionCommand";
import { DeleteRulesetCommand, } from "./commands/DeleteRulesetCommand";
import { DeleteScheduleCommand, } from "./commands/DeleteScheduleCommand";
import { DescribeDatasetCommand, } from "./commands/DescribeDatasetCommand";
import { DescribeJobCommand } from "./commands/DescribeJobCommand";
import { DescribeJobRunCommand, } from "./commands/DescribeJobRunCommand";
import { DescribeProjectCommand, } from "./commands/DescribeProjectCommand";
import { DescribeRecipeCommand, } from "./commands/DescribeRecipeCommand";
import { DescribeRulesetCommand, } from "./commands/DescribeRulesetCommand";
import { DescribeScheduleCommand, } from "./commands/DescribeScheduleCommand";
import { ListDatasetsCommand, } from "./commands/ListDatasetsCommand";
import { ListJobRunsCommand } from "./commands/ListJobRunsCommand";
import { ListJobsCommand } from "./commands/ListJobsCommand";
import { ListProjectsCommand, } from "./commands/ListProjectsCommand";
import { ListRecipesCommand } from "./commands/ListRecipesCommand";
import { ListRecipeVersionsCommand, } from "./commands/ListRecipeVersionsCommand";
import { ListRulesetsCommand, } from "./commands/ListRulesetsCommand";
import { ListSchedulesCommand, } from "./commands/ListSchedulesCommand";
import { ListTagsForResourceCommand, } from "./commands/ListTagsForResourceCommand";
import { PublishRecipeCommand, } from "./commands/PublishRecipeCommand";
import { SendProjectSessionActionCommand, } from "./commands/SendProjectSessionActionCommand";
import { StartJobRunCommand } from "./commands/StartJobRunCommand";
import { StartProjectSessionCommand, } from "./commands/StartProjectSessionCommand";
import { StopJobRunCommand } from "./commands/StopJobRunCommand";
import { TagResourceCommand } from "./commands/TagResourceCommand";
import { UntagResourceCommand, } from "./commands/UntagResourceCommand";
import { UpdateDatasetCommand, } from "./commands/UpdateDatasetCommand";
import { UpdateProfileJobCommand, } from "./commands/UpdateProfileJobCommand";
import { UpdateProjectCommand, } from "./commands/UpdateProjectCommand";
import { UpdateRecipeCommand, } from "./commands/UpdateRecipeCommand";
import { UpdateRecipeJobCommand, } from "./commands/UpdateRecipeJobCommand";
import { UpdateRulesetCommand, } from "./commands/UpdateRulesetCommand";
import { UpdateScheduleCommand, } from "./commands/UpdateScheduleCommand";
import { DataBrewClient } from "./DataBrewClient";
const commands = {
    BatchDeleteRecipeVersionCommand,
    CreateDatasetCommand,
    CreateProfileJobCommand,
    CreateProjectCommand,
    CreateRecipeCommand,
    CreateRecipeJobCommand,
    CreateRulesetCommand,
    CreateScheduleCommand,
    DeleteDatasetCommand,
    DeleteJobCommand,
    DeleteProjectCommand,
    DeleteRecipeVersionCommand,
    DeleteRulesetCommand,
    DeleteScheduleCommand,
    DescribeDatasetCommand,
    DescribeJobCommand,
    DescribeJobRunCommand,
    DescribeProjectCommand,
    DescribeRecipeCommand,
    DescribeRulesetCommand,
    DescribeScheduleCommand,
    ListDatasetsCommand,
    ListJobRunsCommand,
    ListJobsCommand,
    ListProjectsCommand,
    ListRecipesCommand,
    ListRecipeVersionsCommand,
    ListRulesetsCommand,
    ListSchedulesCommand,
    ListTagsForResourceCommand,
    PublishRecipeCommand,
    SendProjectSessionActionCommand,
    StartJobRunCommand,
    StartProjectSessionCommand,
    StopJobRunCommand,
    TagResourceCommand,
    UntagResourceCommand,
    UpdateDatasetCommand,
    UpdateProfileJobCommand,
    UpdateProjectCommand,
    UpdateRecipeCommand,
    UpdateRecipeJobCommand,
    UpdateRulesetCommand,
    UpdateScheduleCommand,
};
export class DataBrew extends DataBrewClient {
}
createAggregatedClient(commands, DataBrew);
